=== debian/changelog ===
kbibtex (0.8~20170819git31a77b27e8e83836e-3build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:55:27 +0000

kbibtex (0.8~20170819git31a77b27e8e83836e-3build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:30:29 +0000

kbibtex (0.8~20170819git31a77b27e8e83836e-3) unstable; urgency=high

  * Fix autopkgtest

 -- Bastien Roucariès <rouca@debian.org>  Tue, 19 Sep 2017 15:16:34 +0200

kbibtex (0.8~20170819git31a77b27e8e83836e-2) unstable; urgency=high

  * Add autopkgtest
  * Bug fix: "fails to upgrade from testing - trying to
    overwrite /usr/share/icons/hicolor/128x128/apps/kbibtex.png", thanks
    to Andreas Beckmann (Closes: #875812).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 18 Sep 2017 10:30:46 +0200

kbibtex (0.8~20170819git31a77b27e8e83836e-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "new upstream release available", thanks to Gerrit Kruse
    (Closes: #742974).
  * Bug fix: "[kbibtex] Qt4&#39;s WebKit removal", thanks to Ana Guerrero
    Lopez (Closes: #784475).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 28 Aug 2017 16:12:42 +0200

kbibtex (0.6+git7fdc0cd97c093f-1) UNRELEASED; urgency=medium

  * New upstream release from git (Closes: #742974).
  * Use Qt5 (Closes: #784475).
  * Bug fix: "fails to get any entry from a valid .bib file (works with
    0.2.3.90-1)", thanks to yoh@onerussian.com (Closes: #689310).
  * Upload to experimental due to using internal embedded
    qoauth and libqxt (part) not yet compiled for qt5.
  * Move arch all data to kbibtex-data.
  * Bump policy and upgrade debian package.

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sat, 02 Jan 2016 19:16:36 +0100
