=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export QT_SELECT:=5

export STATIC_DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_HOST_GNU_TYPE  ?= $(STATIC_DEB_HOST_GNU_TYPE)
export STATIC_DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH ?= $(STATIC_DEB_HOST_MULTIARCH)
export STATIC_DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(STATIC_DEB_BUILD_GNU_TYPE)

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# icons
ICONSSIZE ?= 8x8 16x16 22x22 24x24 32x32 36x36 42x42 48x48 64x64 72x72 96x96 128x128 192x192 256x256
CONVERT_FLAGS ?= -background none -define filter:blur=0.75 -filter Gaussian
CONVERT ?= convert

# one ring to rule them all ...
%:
	dh $@

# pass as-needed and security flags
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
		-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install
	# remove .so symlink to private lib
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so
	# rebuild icons
	rm -rf debian/tmp/usr/share/icons
	# build icons cache (build for each arch in order to get more testing)
	set -e; for SIZE in $(ICONSSIZE); do \
		mkdir -p debian/tmp/usr/share/icons/hicolor/$$SIZE/apps/ ;\
		echo "Make icons for size $$SIZE..."; \
		$(CONVERT) icons/kbibtex.svg \
			   $(CONVERT_FLAGS) -resize $$SIZE \
			   -gravity center -extent $$SIZE  \
			   +set date:create +set date:modify -define png:exclude-chunk=time  \
			   debian/tmp/usr/share/icons/hicolor/$$SIZE/apps/kbibtex.png; \
		echo "Done"; \
	done
	# do not forget svgz
	mkdir -p debian/tmp/usr/share/icons/hicolor/scalable/apps/
	gzip -c -n -9 icons/kbibtex.svg \
		> debian/tmp/usr/share/icons/hicolor/scalable/apps/kbibtex.svgz

# not yet due to fail
override_dh_auto_test:
