=== debian/tests/control ===
Tests: run
Depends: kbibtex, xvfb, xauth, x11-utils, imagemagick, xdotool
