=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://home.gna.org/kbibtex/download.html .*/kbibtex-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:xz|gz|bz2))
